Loading...
Searching...
No Matches
RokuTVChannel Struct Reference

Information about a TV channel on a Roku device. More...

`#include <rokuecp.h>`

## Data Fields

char | id [8]
| Channel ID, usually the channel number (like "3.1"), up to 7 characters.
char | name [8]
| Channel short name, up to 7 characters.
char | type [14]
| Channel type (like "air-digital") up to 13 characters.
char | network [25]
| Broadcast network label (Antenna, Cable, etc.) up to 24 characters.
uint8_t | physicalChannel
| integer physical RF channel number (2-69)
unsigned long | frequency
| integer channel frequency in Hz (54-806 million)

## Detailed Description

Information about a TV channel on a Roku device.

The documentation for this struct was generated from the following file:

- rokuecp.h